Replace file links
put
/api/field-service/core/v1/inventories/{inventoryId}/externalFilesInfo/{propertyLabel}
This operation uploads information about external links to file attachments to the specified inventory property. The property should have the type 'Attachments' configured with the 'OCI Object Storage' storage type.
Request
Supported Media Types
- application/json
Path Parameters
-
inventoryId(required): integer
The unique identifier of the inventory in Oracle Field Service.
-
propertyLabel(required): string
The label of a custom property. This custom property must be of type 'file'.
Root Schema : Replace File Links Request
Type:
objectTitle:
Replace File Links RequestThe payload containing external file links to store in the specified inventory property.
Show Source
-
items:
array Items
Title:
ItemsThe collection of external file information objects. -
operationType:
string
Title:
Operation TypeDefault Value:replaceAllowed Values:[ "replace", "update" ]The type of the operation. Allowed values are 'replace' and 'update'. If omitted, the default value is 'replace'. In 'update' mode, new elements from the request are added or updated and existing items are not deleted. The items are identified by the 'URI' attribute.
Nested Schema : Items
Type:
arrayTitle:
ItemsThe collection of external file information objects.
Show Source
-
Array of:
object External File Info Item
Title:
External File Info ItemInformation about a file stored in OCI Object Storage.
Nested Schema : External File Info Item
Type:
objectTitle:
External File Info ItemInformation about a file stored in OCI Object Storage.
Show Source
-
contentType(required):
string
Title:
Content TypeThe media type of the file (for example 'image/jpeg'). This is used by the application to properly display the file in user interface. -
fileName(required):
string
Title:
File NameFile name. -
fileSize:
integer
Title:
File SizeDefault Value:999999The size of the file in bytes. It is used only to show the size of the file in UI. Default: 999999 (unknown). -
URI(required):
string
Title:
URIStored in Object Storage file uri ('https:///path-to-file'). This is used by the application to access the file content.
Response
Supported Media Types
- application/json
200 Response
This section describes the 200 status response for this operation.
Root Schema : External Files Info
Type:
objectTitle:
External Files InfoThe collection of information about external files stored for the specified inventory property.
Show Source
-
items:
array Items
Title:
ItemsThe collection of external file information objects.
Nested Schema : Items
Type:
arrayTitle:
ItemsThe collection of external file information objects.
Show Source
-
Array of:
object External File Info Item
Title:
External File Info ItemInformation about a file stored in OCI Object Storage.
Nested Schema : External File Info Item
Type:
objectTitle:
External File Info ItemInformation about a file stored in OCI Object Storage.
Show Source
-
contentType(required):
string
Title:
Content TypeThe media type of the file (for example 'image/jpeg'). This is used by the application to properly display the file in user interface. -
fileName(required):
string
Title:
File NameFile name. -
fileSize:
integer
Title:
File SizeDefault Value:999999The size of the file in bytes. It is used only to show the size of the file in UI. Default: 999999 (unknown). -
URI(required):
string
Title:
URIStored in Object Storage file uri ('https:///path-to-file'). This is used by the application to access the file content.
Default Response
This section describes the default error response for this operation.
Root Schema : Error
Type:
Show Source
object-
detail(required):
string
The detailed description of this error.
-
status(required):
string
The HTTP status code of this error.
-
title(required):
string
The brief description of this error.
-
type(required):
string
The URL of the web page containing more details about this error.